Bug 159671 - sysutils/cdrtools broken on powerpc64 ps3
Summary: sysutils/cdrtools broken on powerpc64 ps3
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Marius Strobl
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-08-11 08:40 UTC by glevand
Modified: 2011-08-13 14:41 UTC (History)
0 users

See Also:


Attachments
cdrtools.diff24 (788 bytes, text/plain; charset=us-ascii)
2011-08-11 15:30 UTC, marius
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description glevand 2011-08-11 08:40:11 UTC
cdrtools cannot be compiled on PS3 powerpc64 arch.

===>  Building for cdrtools-3.00_1
RULES/rules.top:70: RULES/powerpc-freebsd-cc.rul: No such file or directory
	==> MAKING "all" ON SUBDIRECTORY "SRCROOT/conf"
gmake[1]: Entering directory `/usr/ports/sysutils/cdrtools/work/cdrtools-3.00/conf'
./RULES/rules.top:70: ../RULES/powerpc-freebsd-cc.rul: No such file or directory
gmake[1]: Nothing to be done for `all'.
gmake[1]: Leaving directory `/usr/ports/sysutils/cdrtools/work/cdrtools-3.00/conf'
	==> MAKING "all" ON SUBDIRECTORY "SRCROOT/inc"
gmake[1]: Entering directory `/usr/ports/sysutils/cdrtools/work/cdrtools-3.00/inc'
./RULES/rules.top:70: ../RULES/powerpc-freebsd-cc.rul: No such file or directory
	==> MAKING "all" ON SUBCOMPONENT "SRCROOT/inc/align_test.mk"
gmake[2]: Entering directory `/usr/ports/sysutils/cdrtools/work/cdrtools-3.00/inc'
./RULES/rules.top:70: ../RULES/powerpc-freebsd-cc.rul: No such file or directory
cc -O2 -pipe -fno-strict-aliasing -c -o OBJ/powerpc64-freebsd-cc/align_test.o align_test.c  
align_test.c:2:28: error: schily/mconfig.h: No such file or directory
align_test.c:4: error: expected '=', ',', ';', 'asm' or '__attribute__' before 'char'
align_test.c:24:26: error: schily/stdio.h: No such file or directory
align_test.c:25:29: error: schily/standard.h: No such file or directory
align_test.c:27:27: error: schily/utypes.h: No such file or directory
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2011-08-11 08:58:18 UTC
Responsible Changed
From-To: freebsd-ports-bugs->marius

Fix synopsis and assign.
Comment 2 marius 2011-08-11 15:12:12 UTC
What does `make -VARCH` report for powerpc64 in the directory of the port?
Comment 3 glevand 2011-08-11 15:22:37 UTC
11 авгÑÑÑа 2011, 18:12 Ð¾Ñ Marius Strobl <marius@alchemy.franken.de>:
 
> What does `make -VARCH` report for powerpc64 in the directory of the port?

[root@freebsd-hdd /usr/ports/sysutils/cdrtools]# make -VARCH
powerpc64
[root@freebsd-hdd /usr/ports/sysutils/cdrtools]#
Comment 4 marius 2011-08-11 15:30:05 UTC
On Thu, Aug 11, 2011 at 06:22:37PM +0400, geoffrey levand wrote:
> [root@freebsd-hdd /usr/ports/sysutils/cdrtools]# make -VARCH
> powerpc64
> [root@freebsd-hdd /usr/ports/sysutils/cdrtools]#???
> 
> 

Could you please test whether the attached patch fixes this?

Marius
Comment 5 glevand 2011-08-11 16:06:27 UTC
It builds now :)

11 авгÑÑÑа 2011, 18:30 Ð¾Ñ Marius Strobl <marius@alchemy.franken.de>:
> On Thu, Aug 11, 2011 at 06:22:37PM +0400, geoffrey levand wrote:
> > [root@freebsd-hdd /usr/ports/sysutils/cdrtools]# make -VARCH
> > powerpc64
> > [root@freebsd-hdd /usr/ports/sysutils/cdrtools]#???
> > 
> > 
> 
> Could you please test whether the attached patch fixes this?
> 
> Marius
Comment 6 dfilter service freebsd_committer 2011-08-13 14:35:00 UTC
marius      2011-08-13 13:34:50 UTC

  FreeBSD ports repository (src committer)

  Modified files:
    sysutils/cdrtools    Makefile 
  Log:
  - Allow to build on powerpc64. [1]
  - Revert the hack allowing to cross-compile FreeBSD/i386 releases on amd64
    as it caused more problems than it solved. As of r224838 all of head,
    stable/8 and stable/7 are switch to use use makefs(8) instead of mkisofs(8)
    so this hack is no longer necessary. [2]
  
  PR:             159671 [1], 151486 [2], 152309 [2], probably some more for [2]
  Approved by:    netchild
  
  Revision  Changes    Path
  1.83      +2 -7      ports/sysutils/cdrtools/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 7 Marius Strobl freebsd_committer 2011-08-13 14:41:12 UTC
State Changed
From-To: open->closed

close